#!/bin/bash

rm bams/*
rm bwa.sai/*
rm result/*

################ Sample code ################
echo "Start pipeline"
#### Read alignment using bwa ####
 rm ref/human_g1k_v37_chr20.fa.*
 bin/bwa index -a is ref/human_g1k_v37_chr20.fa

for file in `ls fastq/SAMPLE*.fastq | cut -f 2 -d '/' | cut -f 1 -d '.'`;
  do echo $file;
  bin/bwa aln -q 15 ref/human_g1k_v37_chr20.fa fastq/$file.fastq > bwa.sai/$file.sai;
  bin/bwa samse -r "@RG\tID:ILLUMINA\tSM:$file" ref/human_g1k_v37_chr20.fa bwa.sai/$file.sai fastq/$file.fastq | \
    bin/samtools view -uhS - | bin/samtools sort -m 2000000000 - bams/$file;
  bin/samtools index bams/$file.bam;
 done
#### Calling initial set of vairants ####

 bin/samtools mpileup -Iuf ref/human_g1k_v37_chr20.fa bams/SAMPLE*bam | bin/bcftools view -bvcg - > result/chr20.mpileup.bcf

 bin/bcftools view result/chr20.mpileup.bcf  > result/chr20.mpileup.vcf


#### Refining genotypes using LD information and trio constraints ####

 bin/TrioCaller --vcf result/chr20.mpileup.vcf --pedfile ped/triocaller.ped --rounds 10 --prefix result/chr20.triocaller

echo "End pipeline"
